p.title-not-found-product {
    color: #FFF;
    font-size: 20px;
    font-weight: 700;
    text-align: center;
}

p.description-not-found-product {
    color: #858689;
    text-align: center;
    font-size: 14px;
    font-weight: 500;
    line-height: 24px;
    max-width: 315px;
}

.group-info-not-found {
    display: flex;
    flex-direction: column;
    gap: 10px;
    text-align: center;
    align-items: center;
    justify-content: center;
}

.object-payment-group {
    position: relative;
    width: 100%;
    height: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
}

.payment-ico-market.payment_visa {
    position: absolute;
    transform: scale(0);
}

.payment-ico-market.payment_mir {
    position: absolute;
    transform: scale(0);
}

.payment-ico-market.payment_master-card {
    position: absolute;
    transform: scale(0);
    width: 54px;
}

.payment-ico-market.payment_visa.active {
    transform: scale(1);
    transition: 0.6s;
}

.payment-ico-market.payment_mir.active {
    transform: scale(0.7);
    transition: 0.6s;
}

.payment-ico-market.payment_master-card.active {
    transform: scale(0.7);
    transition: 0.6s;
}

p#totalCostCart > span {
    color: #FFF;
    font-size: 14px;
    font-weight: 600;
    text-decoration: line-through;
    color: gray;
}

.center-content-cart {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    height: 100%;
    top: -50px;
    transition: 0.3s;
    opacity: 1;
    transform: translateY(0px);
    position: absolute;
    width: 100%;
}

.top-info-cart.discount.hide {
    transform: translateY(22px);
    opacity: 0;
    pointer-events: none;
}

.top-info-cart.discount {
    opacity: 1;
    transform: translateY(0px);
    user-select: none;
    transition: 0.3s;
}

.center-content-cart.hide {
    pointer-events: none;
    opacity: 0;
    transform: translateY(25px);
}

img.cart-not-found {
    margin-bottom: -34px;
    pointer-events: none;
    user-select: none;
}

.content-bottom-cart-a {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    gap: 15px;
}

.content-bottom-cart-a {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    gap: 15px;
}

.group_period {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 15px;
}

.cart-content {
    height: 100%;
    position: relative;
}

.cart-main {
    display: flex;
    flex-direction: column;
    gap: 14px;
    height: calc(100% - 51px);
    position: relative;
}

p.text-info-top-product {
    color: #858689;
    font-size: 14px;
    font-weight: 500;
    line-height: 20px;
}

p.title-text-product {
    color: #FFF;
    font-size: 16px;
    font-weight: 500;
    line-height: 20px;
}

p.cost-text-product-cart {
    color: #FFF;
    font-size: 16px;
    font-weight: 600;
    line-height: 24px;
}

button.button-remove-product {
    background: #1a1a1a;
    color: #4c4c4c;
    width: 35px;
    height: 35px;
    border-radius: 6px;
    outline: none;
    border: none;
    cursor: pointer;
    transition: 0.3s;
}

img.product-ico-cart {
    user-select: none;
    pointer-events: none;
    width: 100%;
    height: 100%;
    object-fit: cover;
}

p.title-products-text {
    color: #FFF;
    font-size: 18px;
    font-style: normal;
    font-weight: 700;
    line-height: 22px;
}

.content-products {
    display: flex;
    gap: 20px;
    position: absolute;
    width: 100%;
    height: 100%;
    top: 0;
    align-items: start;
    flex-direction: column;
    transition: 0.3s;
    opacity: 1;
    transform: translateY(0px);
    justify-content: space-between;
}

.content-products.hide {
    transform: translateY(25px);
    opacity: 0;
    pointer-events: none;
    transition: 0.2s;
}

.left-object-cart {
    display: flex;
    align-items: center;
    gap: 15px;
}

.top-product-cart-info {
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.right-object-cart {
    display: flex;
    align-items: center;
    gap: 15px;
}

.edit-count-product {
    border-radius: 8px;
    border: 0.5px solid #434343;
    background: rgba(18, 18, 18, 0.25);
    display: flex;
    justify-content: space-between;
    padding: 7px 17px;
    height: 56px;
    display: flex;
    align-items: center;
}

p.text-info-count-product {
    color: #858689;
    font-size: 14px;
    font-weight: 500;
    line-height: 24px;
}

button.button-edit-count {
    border-radius: 8px;
    background: #252525;
    color: #898989;
    position: relative;
    width: 32px;
    height: 32px;
    font-size: 20px;
    outline: 3px solid #00b86200;
    font-weight: 600;
    border: none;
    cursor: pointer;
    transition: 0.3s;
    user-select: none;
}

button.button-edit-count:after {
    border-radius: 8px;
    background: radial-gradient(91.22% 50% at 50% 50%, #00B862 0%, #00522C 100%);
    content: "";
    position: absolute;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    opacity: 0;
    transition: 0.3s;
}

button.button-edit-count > span {
    z-index: 2;
    position: relative;
}

button.button-edit-count:hover:after {
    opacity: 1;
}

button.button-edit-count:hover {
    color: white;
    outline: 3px solid #00b86233;
}

button.button-edit-count > svg {
    width: 16px;
    position: relative;
    z-index: 1;
}

.button-edit-count:active{
    transform: scale(0.8);
}

.right-edit-count-product {
    display: flex;
    gap: 7px;
}

.list-cart-products {
    display: flex;
    flex-direction: column;
    gap: 16px;
    width: 100%;
}

span.minus {
    font-size: 34px;
    line-height: 12px;
}

.object-product-cart {
    display: flex;
    flex-direction: column;
    gap: 15px;
    border-bottom: solid 1px #252525;
    padding-bottom: 18px;
}

.object-product-cart:last-child {
    border: none;
}

div#modal_cart {
    overflow: hidden;
}

.hover-element-tooltip {
    position: absolute;
    top: -37px;
    white-space: pre;
    border-radius: 5px;
    background: rgba(14, 14, 14, 0.64);
    backdrop-filter: blur(5px);
    padding: 9px 11px;
    z-index: 3;
    color: #858689;
    font-size: 13px;
    font-style: normal;
    font-weight: 500;
    line-height: 163%;
    border-radius: 7px;
    transform: translateY(15px);
    transition: 0.3s;
    pointer-events: none;
    opacity: 0;
}

button.cart-button:hover > .hover-element-tooltip {
    opacity: 1;
    transform: translateY(0px);
}

.top-content-cart {
    width: calc(100% + 20px);
    display: flex;
    padding-right: 20px;
    flex-direction: column;
    gap: 20px;
    height: calc(100% - 125px);
    overflow: auto;
    padding-left: 5px;
    margin-left: -5px;
}

.bottom-content-cart {
    width: 100%;
    display: flex;
    flex-direction: column;
    gap: 20px;
}

.payment-agreement {
    align-items: flex-start;
    gap: 12px;
}

.payment-agreement .object-checkbox {
    width: 23px;
    height: 24px;
    min-width: 21px;
    min-height: 18px;
    border-radius: 5px;
    margin-top: 1px;
}

.payment-agreement + .bottom-info-cart {
    margin-top: -8px;
}

.payment-agreement-text {
    color: #858689;
    font-size: 13px;
    font-weight: 500;
    line-height: 18px;
}

.payment-agreement-text a {
    color: #fff;
    text-decoration: underline;
    text-underline-offset: 3px;
    transition: 0.3s;
}

.payment-agreement-text a:hover {
    color: #00B862;
}

.bottom-info-cart > button {
    width: 100%;
}

.top-info-cart {
    display: flex;
    justify-content: space-between;
    border-bottom: 1px solid #434343;
    padding-bottom: 16px;
}

p.left-content-info-cart {
    color: #858689;
    font-size: 16px;
    font-weight: 600;
}

p.right-content-info-cart {
    color: #FFF;
    font-size: 16px;
    font-weight: 600;
}

.block-image-produc {
    width: 50px;
    height: 50px;
    border-radius: 12px;
    border: 0.5px solid #434343;
    background: #252525;
    user-select: none;
    pointer-events: none;
    overflow: hidden;
}

p.info-text-a {
    color: #858689;
    font-size: 14px;
    font-weight: 500;
    line-height: 24px;
    width: 369px;
    opacity: 0;
    transform: translateY(20px);
    animation: fadeInUp 0.4s ease forwards;
    max-width: 343.057px;
}

.payment-main {
    display: flex;
    flex-direction: column;
    gap: 15px;
}


p.text-info-support {
    color: #858689;
    font-size: 14px;
    font-weight: 500;
    line-height: 19.6px;
}

.block-payment {display: flex;flex-direction: column;gap: 20px;}

a.link-white {
    color: white;
    font-size: 14px;
    font-weight: 500;
    line-height: 19.6px;
    text-decoration: none;
    cursor: pointer;
    transition: 0.3s;
}

a.link-white:hover {
    color: #00934f;
}

.object-payment {
    border-radius: 6px;
    border: 0.5px solid #434343;
    background: #252525;
    height: 55px;
    display: flex;
    align-items: center;
    position: relative;
    justify-content: center;
    cursor: pointer;
    user-select: none;
    transition: 0.3s;
}

.group-payments {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 20px;
}

p.title-payment-top {
    color: #FFF;
    font-size: 18px;
    font-weight: 700;
}

.payment-content {
    height: calc(100% - 130px);
    display: flex;
    flex-direction: column;
    justify-content: space-between;
}

svg.ico-inform {
    position: absolute;
    right: 15px;
    top: 14px;
}

.block-payment-support {
    display: flex;
    align-items: center;
    gap: 10px;
}

.group-inputs {
    display: flex;
    flex-direction: column;
    gap: 20px;
}

.top-payment-content {
    display: flex;
    flex-direction: column;
    gap: 20px;
    margin-top: 18px;
}

.object-payment:after {
    background: radial-gradient(91.22% 50% at 50% 50%, #00B862 0%, #00522C 100%);
    width: 5px;
    height: 5px;
    position: absolute;
    content: "";
    right: 6px;
    transition: 0.3s;
    top: 6px;
    border-radius: 100%;
    z-index: 2;
    transform: scale(0);
}

.object-payment:before {
    border-radius: 6px;
    background: radial-gradient(91.22% 50% at 50% 50%, rgba(0, 184, 98, 0.25) 0%, rgba(0, 82, 44, 0.25) 100%);
    position: absolute;
    content: "";
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    transition: 0.3s;
    opacity: 0;
}

.object-payment:hover, .object-payment.active {
    border: 0.5px solid #00B862;
}

.object-payment > img {
    position: relative;
    z-index: 1;
}

.object-payment.active:after {
    transform: scale(1);
}

.object-payment:hover:before, .object-payment.active:before {
    opacity: 1;
}

@media (max-width: 650px) {
    .right-absolute-block {
        width: 100%;
        border-radius: 0px;
        padding: 15px;
    }
}
